<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">

		function inicio() {

			let celdas=[];

		/*Quiero acceder a los td*/
		/*querySelector() te devuelve un elemento*/
		/*querySelectorAll() te devuelve un array*/
		/*esto es una función asignada a un objeto*/

		/*dentro de la función el argumento es el selector de css*/
		celdas=document.querySelectorAll("td");

		celdas[0].innerHTML="lo que queramos"; /*así sobreescribo*/

		celdas[0].innerHTML+="lo que queramos"; /*así concateno*/
		/*esto devuelve un array con los elementos td*/
		/*$("td") esto es lo mismo pero en la librería de JQuery*/

		celdas[1].style.backgroundColor = "#CCC";

		}

		function cambia(posicion) {
			let celdas=[];
			celdas=document.querySelectorAll("td");
			celdas[posicion].style.backgroundColor="RED";
			celdas[posicion].style.color="white";
		}



	</script>
</head>
<body onload="inicio()">

	<!--table>tr>td></td>{$} paso abreviado Emmet cheat sheet
		el dolar es incrementar--> 


	<table>
		<tr>
			<td onclick="cambia(0)">1</td>
			<td onclick="cambia(1)">2</td>
			<td onclick="cambia(2)">3</td>
			<td onclick="cambia(3)" >4</td>
			<td onclick="cambia(4)">5</td>

		</tr>
	</table>
	
</body>
</html>